Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2161638 - CVE-2023-22298 pgadmin4: Open URL Redirect Vulnerability [fedora-36]
Summary: CVE-2023-22298 pgadmin4: Open URL Redirect Vulnerability [fedora-36]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pgadmin4
Version: 36
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-22298
TreeView+ depends on / blocked
 
Reported: 2023-01-17 12:56 UTC by Avinash Hanwate
Modified: 2023-02-02 02:02 UTC (History)
1 user (show)

Fixed In Version: pgadmin4-6.19-1.fc36
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-02 02:02:47 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Avinash Hanwate 2023-01-17 12:56:57 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2161637

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Avinash Hanwate 2023-01-17 12:57:00 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2161637,2161638

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-01-17 13:50:40 UTC
FEDORA-2023-a17a67683d has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a17a67683d

Comment 3 Fedora Update System 2023-01-18 03:39:34 UTC
FEDORA-2023-a17a67683d has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a17a67683d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a17a67683d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-01-24 19:10:09 UTC
FEDORA-2023-0334c6000a has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0334c6000a

Comment 5 Fedora Update System 2023-01-25 02:53:38 UTC
FEDORA-2023-0334c6000a has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0334c6000a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0334c6000a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-02-02 02:02:47 UTC
FEDORA-2023-0334c6000a has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.